"use strict";
var GlobalRefsRequest;
(function (GlobalRefsRequest) {
    GlobalRefsRequest.type = {
        get method() {
            return 'textDocument/global-refs';
        }
    };
})(GlobalRefsRequest = exports.GlobalRefsRequest || (exports.GlobalRefsRequest = {}));
var InitializeRequest;
(function (InitializeRequest) {
    InitializeRequest.type = {
        get method() {
            return 'initialize';
        }
    };
})(InitializeRequest = exports.InitializeRequest || (exports.InitializeRequest = {}));
var ShutdownRequest;
(function (ShutdownRequest) {
    ShutdownRequest.type = {
        get method() {
            return 'shutdown';
        }
    };
})(ShutdownRequest = exports.ShutdownRequest || (exports.ShutdownRequest = {}));
var ExitRequest;
(function (ExitRequest) {
    ExitRequest.type = {
        get method() {
            return 'exit';
        }
    };
})(ExitRequest = exports.ExitRequest || (exports.ExitRequest = {}));
var ReadDirRequest;
(function (ReadDirRequest) {
    ReadDirRequest.type = {
        get method() {
            return 'fs/readDir';
        }
    };
})(ReadDirRequest = exports.ReadDirRequest || (exports.ReadDirRequest = {}));
var ReadFileRequest;
(function (ReadFileRequest) {
    ReadFileRequest.type = {
        get method() {
            return 'fs/readFile';
        }
    };
})(ReadFileRequest = exports.ReadFileRequest || (exports.ReadFileRequest = {}));
var DefinitionRequest;
(function (DefinitionRequest) {
    DefinitionRequest.type = {
        get method() {
            return 'textDocument/definition';
        }
    };
})(DefinitionRequest = exports.DefinitionRequest || (exports.DefinitionRequest = {}));
var XdefinitionRequest;
(function (XdefinitionRequest) {
    XdefinitionRequest.type = {
        get method() {
            return 'textDocument/xdefinition';
        }
    };
})(XdefinitionRequest = exports.XdefinitionRequest || (exports.XdefinitionRequest = {}));
var HoverRequest;
(function (HoverRequest) {
    HoverRequest.type = {
        get method() {
            return 'textDocument/hover';
        }
    };
})(HoverRequest = exports.HoverRequest || (exports.HoverRequest = {}));
var ReferencesRequest;
(function (ReferencesRequest) {
    ReferencesRequest.type = {
        get method() {
            return 'textDocument/references';
        }
    };
})(ReferencesRequest = exports.ReferencesRequest || (exports.ReferencesRequest = {}));
var DependenciesRequest;
(function (DependenciesRequest) {
    DependenciesRequest.type = {
        get method() {
            return 'workspace/xdependencies';
        }
    };
})(DependenciesRequest = exports.DependenciesRequest || (exports.DependenciesRequest = {}));
var PackagesRequest;
(function (PackagesRequest) {
    PackagesRequest.type = {
        get method() {
            return 'workspace/xpackages';
        }
    };
})(PackagesRequest = exports.PackagesRequest || (exports.PackagesRequest = {}));
var WorkspaceSymbolsRequest;
(function (WorkspaceSymbolsRequest) {
    WorkspaceSymbolsRequest.type = {
        get method() {
            return 'workspace/symbol';
        }
    };
})(WorkspaceSymbolsRequest = exports.WorkspaceSymbolsRequest || (exports.WorkspaceSymbolsRequest = {}));
var WorkspaceReferenceRequest;
(function (WorkspaceReferenceRequest) {
    WorkspaceReferenceRequest.type = {
        get method() {
            return 'workspace/xreferences';
        }
    };
})(WorkspaceReferenceRequest = exports.WorkspaceReferenceRequest || (exports.WorkspaceReferenceRequest = {}));
var SymbolDescriptor;
(function (SymbolDescriptor) {
    function create(kind, name, containerKind, containerName, pkg) {
        return { kind, name, containerKind, containerName, package: pkg };
    }
    SymbolDescriptor.create = create;
})(SymbolDescriptor = exports.SymbolDescriptor || (exports.SymbolDescriptor = {}));
var DocumentSymbolRequest;
(function (DocumentSymbolRequest) {
    DocumentSymbolRequest.type = {
        get method() {
            return "textDocument/documentSymbol";
        }
    };
})(DocumentSymbolRequest = exports.DocumentSymbolRequest || (exports.DocumentSymbolRequest = {}));
var TextDocumentDidOpenNotification;
(function (TextDocumentDidOpenNotification) {
    TextDocumentDidOpenNotification.type = {
        get method() {
            return 'textDocument/didOpen';
        }
    };
})(TextDocumentDidOpenNotification = exports.TextDocumentDidOpenNotification || (exports.TextDocumentDidOpenNotification = {}));
var TextDocumentDidCloseNotification;
(function (TextDocumentDidCloseNotification) {
    TextDocumentDidCloseNotification.type = {
        get method() {
            return 'textDocument/didClose';
        }
    };
})(TextDocumentDidCloseNotification = exports.TextDocumentDidCloseNotification || (exports.TextDocumentDidCloseNotification = {}));
var TextDocumentDidSaveNotification;
(function (TextDocumentDidSaveNotification) {
    TextDocumentDidSaveNotification.type = {
        get method() {
            return 'textDocument/didSave';
        }
    };
})(TextDocumentDidSaveNotification = exports.TextDocumentDidSaveNotification || (exports.TextDocumentDidSaveNotification = {}));
var TextDocumentDidChangeNotification;
(function (TextDocumentDidChangeNotification) {
    TextDocumentDidChangeNotification.type = {
        get method() {
            return 'textDocument/didChange';
        }
    };
})(TextDocumentDidChangeNotification = exports.TextDocumentDidChangeNotification || (exports.TextDocumentDidChangeNotification = {}));
var TextDocumentCompletionRequest;
(function (TextDocumentCompletionRequest) {
    TextDocumentCompletionRequest.type = {
        get method() {
            return 'textDocument/completion';
        }
    };
})(TextDocumentCompletionRequest = exports.TextDocumentCompletionRequest || (exports.TextDocumentCompletionRequest = {}));
//# sourceMappingURL=request-type.js.map