import { TraceOptions } from './connection';
import { LanguageHandler } from './lang-handler';
import { IConnection } from 'vscode-languageserver';
export interface ServeOptions extends TraceOptions {
    clusterSize: number;
    lspPort: number;
    strict?: boolean;
    trace?: boolean;
    logfile?: string;
}
/**
 * serve starts a singleton language server instance that uses a
 * cluster of worker processes to achieve some semblance of
 * parallelism.
 *
 * @param createWorkerConnection Should return a connection to a subworker (for example by spawning a child process)
 */
export declare function serve(options: ServeOptions, createLangHandler: () => LanguageHandler, createWorkerConnection?: () => IConnection): Promise<void>;
