/// <reference types="node" />
import * as vscode from 'vscode-languageserver';
import { LanguageHandler } from '../lang-handler';
import * as rt from '../request-type';
export declare function setUp(langhandler: LanguageHandler, memfs: any, done: (err?: Error) => void): void;
export declare function tearDown(done: () => void): void;
export declare function definition(pos: vscode.TextDocumentPositionParams, expected: vscode.Location | vscode.Location[] | null, done: (err?: Error) => void): void;
export declare function xdefinition(pos: vscode.TextDocumentPositionParams, expected: rt.SymbolLocationInformation | rt.SymbolLocationInformation[] | null, done: (err?: Error) => void): void;
export declare function hover(pos: vscode.TextDocumentPositionParams, expected: vscode.Hover, done: (err?: Error) => void): void;
export declare function references(params: vscode.ReferenceParams, expected: number, done: (err?: Error) => void): void;
export declare function workspaceReferences(params: rt.WorkspaceReferenceParams, expected: rt.ReferenceInformation[], done: (err?: Error) => void): void;
export declare function packages(expected: rt.PackageInformation[], done: (err?: Error) => void): void;
export declare function dependencies(expected: rt.DependencyReference[], done: (err?: Error) => void): void;
export declare function symbols(params: rt.WorkspaceSymbolParams, expected: vscode.SymbolInformation[], done: (err?: Error) => void): void;
export declare function documentSymbols(params: vscode.DocumentSymbolParams, expected: vscode.SymbolInformation[], done: (err?: Error) => void): void;
export declare function open(uri: string, text: string): void;
export declare function close(uri: string): void;
export declare function change(uri: string, text: string): void;
export declare function completions(params: vscode.TextDocumentPositionParams, expected: vscode.CompletionItem[], done: (err?: Error) => void): void;
